[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'ComCtrls' (#lcl)

# TCoolBand.CalcControlLeft

Calculates the left coordinate for the Control in the band.

## Declaration

Source position: comctrls.pp line 2496

`protected function TCoolBand.CalcControlLeft: Integer;`

## Function result

Offset in the band where the Control is displayed.

## Description

Reserves space needed for elements in the TCoolBand instance, including:

- Indent spacing for the Grabber (Sizing Grip)
- Horizontal spacing
- The space needed for the Text
- The space needed for the Image (scaled to the current PPI)

The return value contains the offset in the band where the Control is displayed.